### Class

# GioUnix MountMonitor

since: 2.0

#### Description

    final class GioUnix.MountMonitor : GObject.Object
    {
      /* No available fields */
    }

Watches `GUnixMounts` for changes.

Available since: 2.0

#### Ancestors

- GObject

#### Constructors

###### g_unix_mount_monitor_new

Deprecated alias for g_unix_mount_monitor_get().

deprecated: 2.44 since: 2.0

#### Functions

###### g_unix_mount_monitor_get

Gets the `GUnixMountMonitor` for the current thread-default main context.

since: 2.44

###### g_unix_mount_monitor_set_rate_limit

This function does nothing.

deprecated: 2.44 since: 2.18

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### GioUnix.MountMonitor::mountpoints-changed

Emitted when the unix mount points have changed.

since: 2.0

###### GioUnix.MountMonitor::mounts-changed

Emitted when the unix mounts have changed.

since: 2.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GioUnixMountMonitorClass {
      /* no available fields */
    }

No description available.